Sequel.migration do

  up do
    create_table(:videos) do
      primary_key :id
      String :name, null: false
      String :description
      Integer :serial, null: false, unique: true
      DateTime :purchased_at
      DateTime :created_at, default: Sequel::CURRENT_TIMESTAMP
      DateTime :updated_at, default: Sequel::CURRENT_TIMESTAMP
    end

    alter_table(:videos) do
      add_foreign_key :channel_id, :channels
    end
  end

  down do
    drop_table(:videos)
  end

end
